cara install nextcloud client di ubuntu, cloud application, cloud storage

How to install Nextcloud client on Ubuntu Desktop

Nextcloud is a cloud storage application. Aside from being a backup application, nextcloud cloud can also be used as an application to synchronize (syncronize) some equipment / gadgets that are connected to the same nextcloud server. In this article we will not discuss what Nextcloud is, but only explain how to install NextCloud client on your ubuntu desktop via PPA.

How to install Nextcloud client on Ubuntu Desktop

1. Add PPA Repository
to install nextcloud client on Ubuntu via PPA, the first step we have to do is add the PPA repository trough the following command:

sudo add-apt-repository ppa:nextcloud-devs/client

If a problem arises when inputting the command, then you must first install the property software common with this command:

sudo apt-get install software-properties-common

2. refresh or Update PPA Repository
the next step is to refresh or update the PPA with the following command:

sudo apt-get update -y

3. Install Nextcloud client
Setelah PPA terupdate, kita bisa melakukan instalasi nextcloud melalui apt-get sebagai berikut:

sudo apt-get install nextcloud-client

the results are more or less like this:

tanto@linux-tutorials-id:~$ sudo apt-get install nextcloud-client
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  libnextcloudsync0 libqt5keychain0 libqt5sql5 libqt5sql5-sqlite libqt5webkit5
  nextcloud-client-l10n
The following NEW packages will be installed:
  libnextcloudsync0 libqt5keychain0 libqt5sql5 libqt5sql5-sqlite libqt5webkit5
  nextcloud-client nextcloud-client-l10n
0 upgraded, 7 newly installed, 0 to remove and 9 not upgraded.
Need to get 11,2 MB of archives.
After this operation, 46,8 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
WARNING: The following packages cannot be authenticated!
  libnextcloudsync0 nextcloud-client-l10n nextcloud-client
Install these packages without verification? [y/N] y
Get:1 http://id.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libqt5sql5 amd64 5.5.1+dfsg-16ubuntu7.5 [104 kB]
Get:2 http://ppa.launchpad.net/nextcloud-devs/client/ubuntu xenial/main amd64 libnextcloudsync0 amd64 2.3.3-20180415.190957~xenial1 [424 kB]
Get:3 http://id.archive.ubuntu.com/ubuntu xenial/main amd64 libqt5webkit5 amd64 5.5.1+dfsg-2ubuntu1 [9.100 kB]
Get:4 http://ppa.launchpad.net/nextcloud-devs/client/ubuntu xenial/main amd64 nextcloud-client-l10n all 2.3.3-20180415.190957~xenial1 [365 kB]
Get:5 http://id.archive.ubuntu.com/ubuntu xenial/universe amd64 libqt5keychain0 amd64 0.5.0-1build1~gcc5.1 [45,7 kB]
Get:6 http://id.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libqt5sql5-sqlite amd64 5.5.1+dfsg-16ubuntu7.5 [33,0 kB]
Get:7 http://ppa.launchpad.net/nextcloud-devs/client/ubuntu xenial/main amd64 nextcloud-client amd64 2.3.3-20180415.190957~xenial1 [1.093 kB]
Fetched 11,2 MB in 28s (398 kB/s)                                                        
Selecting previously unselected package libqt5sql5:amd64.
(Reading database ... 217836 files and directories currently installed.)
Preparing to unpack .../libqt5sql5_5.5.1+dfsg-16ubuntu7.5_amd64.deb ...
Unpacking libqt5sql5:amd64 (5.5.1+dfsg-16ubuntu7.5) ...
Selecting previously unselected package libqt5webkit5:amd64.
Preparing to unpack .../libqt5webkit5_5.5.1+dfsg-2ubuntu1_amd64.deb ...
Unpacking libqt5webkit5:amd64 (5.5.1+dfsg-2ubuntu1) ...
Selecting previously unselected package libqt5keychain0:amd64.
Preparing to unpack .../libqt5keychain0_0.5.0-1build1~gcc5.1_amd64.deb ...
Unpacking libqt5keychain0:amd64 (0.5.0-1build1~gcc5.1) ...
Selecting previously unselected package libnextcloudsync0.
Preparing to unpack .../libnextcloudsync0_2.3.3-20180415.190957~xenial1_amd64.deb ...
Unpacking libnextcloudsync0 (2.3.3-20180415.190957~xenial1) ...
Selecting previously unselected package libqt5sql5-sqlite:amd64.
Preparing to unpack .../libqt5sql5-sqlite_5.5.1+dfsg-16ubuntu7.5_amd64.deb ...
Unpacking libqt5sql5-sqlite:amd64 (5.5.1+dfsg-16ubuntu7.5) ...
Selecting previously unselected package nextcloud-client-l10n.
Preparing to unpack .../nextcloud-client-l10n_2.3.3-20180415.190957~xenial1_all.deb ...
Unpacking nextcloud-client-l10n (2.3.3-20180415.190957~xenial1) ...
Selecting previously unselected package nextcloud-client.
Preparing to unpack .../nextcloud-client_2.3.3-20180415.190957~xenial1_amd64.deb ...
Unpacking nextcloud-client (2.3.3-20180415.190957~xenial1) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5.2+elementary2~ubuntu0.4.1.1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20180209-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.17-1~elementary0.4.1) ...
Setting up libqt5sql5:amd64 (5.5.1+dfsg-16ubuntu7.5) ...
Setting up libqt5webkit5:amd64 (5.5.1+dfsg-2ubuntu1) ...
Setting up libqt5keychain0:amd64 (0.5.0-1build1~gcc5.1) ...
Setting up libnextcloudsync0 (2.3.3-20180415.190957~xenial1) ...
Setting up libqt5sql5-sqlite:amd64 (5.5.1+dfsg-16ubuntu7.5) ...
Setting up nextcloud-client-l10n (2.3.3-20180415.190957~xenial1) ...
Setting up nextcloud-client (2.3.3-20180415.190957~xenial1) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...

Leave a Reply

Your email address will not be published. Required fields are marked *

loading...